Confirm Payment Method
curl --request POST \
--url https://api.mixpeek.com/v1/organizations/billing/confirm-payment-method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "<string>"
}
'import requests
url = "https://api.mixpeek.com/v1/organizations/billing/confirm-payment-method"
payload = { "payment_method_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method_id: '<string>'})
};
fetch('https://api.mixpeek.com/v1/organizations/billing/confirm-payment-method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_method": {
"payment_method_id": "<string>",
"type": "<string>",
"card_last4": "<string>",
"card_brand": "<string>"
},
"auto_billing_enabled": true,
"billing_period_start": "2023-11-07T05:31:56Z",
"success": true
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Billing
Confirm Payment Method
Confirm payment method after frontend collects it.
After Stripe Elements confirms the SetupIntent, call this endpoint to attach the payment method to the customer and enable auto-billing.
Requirements:
- Admin permission
- Must have called setup-payment-method first
Example:
# After Stripe Elements confirms setup
response = await client.post(
"/v1/organizations/billing/confirm-payment-method",
json={"payment_method_id": "pm_1ABC2DEF3GHI"}
)
POST
/
v1
/
organizations
/
billing
/
confirm-payment-method
Confirm Payment Method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payment method confirmation
Stripe PaymentMethod ID from frontend
Example:
"pm_1ABC2DEF3GHI456"
Response
Successful Response
Response after confirming payment method.
Confirmed payment method details
Show child attributes
Show child attributes
Whether auto-billing is now enabled
When the current billing period started
Whether payment method was successfully confirmed
Was this page helpful?
⌘I

